summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author klaatu <klaatu@hackerpublicradio.org>2011-07-25 23:53:38 -0500
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-11 20:28:35 -0300
commit8a89a445e006077b24965db58b4fe071d8f97f70 (patch)
tree9694d0d910cb0a8b46e8781c04c4ac1cae539b5d /graphics
parentb5a9231bd1a378d3f6e736fee1dcb609a12349d5 (diff)
downloadslackbuilds-8a89a445e006077b24965db58b4fe071d8f97f70.tar.gz
slackbuilds-8a89a445e006077b24965db58b4fe071d8f97f70.tar.xz
graphics/PerlMagick: Added (Perl frontend to Image Magick)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/PerlMagick/PerlMagick.SlackBuild82
-rw-r--r--graphics/PerlMagick/PerlMagick.info10
-rw-r--r--graphics/PerlMagick/README6
-rw-r--r--graphics/PerlMagick/slack-desc18
4 files changed, 116 insertions, 0 deletions
diff --git a/graphics/PerlMagick/PerlMagick.SlackBuild b/graphics/PerlMagick/PerlMagick.SlackBuild
new file mode 100644
index 0000000000..ccb5ed9efd
--- /dev/null
+++ b/graphics/PerlMagick/PerlMagick.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for PerlMagick
+
+# Written by klaatu at hackerpublicradio.org
+
+PRGNAM=PerlMagick
+VERSION=${VERSION:-6.67}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ x86_64) ARCH=x86_64 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ INSTALLMAN3DIR=/usr/man \
+ INSTALLSITEMAN3DIR=/usr/man \
+ INSTALLVENDORMAN3DIR=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/perl5/5.12.3/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changelog MANIFEST MANIFEST.SKIP README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/PerlMagick/PerlMagick.info b/graphics/PerlMagick/PerlMagick.info
new file mode 100644
index 0000000000..93f1b5598f
--- /dev/null
+++ b/graphics/PerlMagick/PerlMagick.info
@@ -0,0 +1,10 @@
+PRGNAM="PerlMagick"
+VERSION="6.67"
+HOMEPAGE="homepage of application"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/J/JC/JCRISTY/PerlMagick-6.67.tar.gz"
+MD5SUM="c786005a73db46ea056082811b9fed3d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@hackerpublicradio.org"
+APPROVED="rworkman"
diff --git a/graphics/PerlMagick/README b/graphics/PerlMagick/README
new file mode 100644
index 0000000000..15fa2f975f
--- /dev/null
+++ b/graphics/PerlMagick/README
@@ -0,0 +1,6 @@
+Image::Magick is an objected-oriented Perl interface to ImageMagick.
+Use it to read, manipulate, or write an image or image sequence from
+within a Perl script.
+
+Installing this via CPAN fails due to customizations needed in the
+Makefile; this SlackBuild script circumvents those issues.
diff --git a/graphics/PerlMagick/slack-desc b/graphics/PerlMagick/slack-desc
new file mode 100644
index 0000000000..4a77f8be06
--- /dev/null
+++ b/graphics/PerlMagick/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+PerlMagick: PerlMagick (Perl frontend to Image Magick)
+PerlMagick:
+PerlMagick: PerlMagick is an object-oriented Perl interface to Image Magick.
+PerlMagick: Use it to read, manipulate, or write an image or image sequence
+PerlMagick: from within a Perl script.
+PerlMagick:
+PerlMagick: http://search.cpan.org/~jcristy/PerlMagick-6.67/Magick.pm
+PerlMagick:
+PerlMagick: http://www.imagemagick.org/script/perl-magick.php
+PerlMagick: